Skip to main content
PATCH
/
environments
/
{org}
/
{env_name}
Update environment
curl --request PATCH \
  --url https://app.kosli.com/api/v2/environments/{org}/{env_name} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "description": "<string>",
  "include_scaling": true,
  "included_environments": [
    "<string>"
  ],
  "policies": [
    "<string>"
  ]
}
'

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

env_name
string
required
org
string
required

Body

application/json
description
string | null
include_scaling
boolean | null
included_environments
string[] | null
policies
string[] | null

Response

200 - application/json

Successful Response

Last modified on April 28, 2026